# Form implementation generated from reading ui file 'src/eric7/WebBrowser/VirusTotal/VirusTotalDomainReportDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_VirusTotalDomainReportDialog(object):
    def setupUi(self, VirusTotalDomainReportDialog):
        VirusTotalDomainReportDialog.setObjectName("VirusTotalDomainReportDialog")
        VirusTotalDomainReportDialog.resize(900, 700)
        VirusTotalDomainReportDialog.setSizeGripEnabled(True)
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(VirusTotalDomainReportDialog)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.headerPixmap = QtWidgets.QLabel(parent=VirusTotalDomainReportDialog)
        self.headerPixmap.setObjectName("headerPixmap")
        self.horizontalLayout_4.addWidget(self.headerPixmap)
        self.headerLabel = QtWidgets.QLabel(parent=VirusTotalDomainReportDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.headerLabel.sizePolicy().hasHeightForWidth())
        self.headerLabel.setSizePolicy(sizePolicy)
        self.headerLabel.setObjectName("headerLabel")
        self.horizontalLayout_4.addWidget(self.headerLabel)
        self.verticalLayout_4.addLayout(self.horizontalLayout_4)
        self.line9_3 = QtWidgets.QFrame(parent=VirusTotalDomainReportDialog)
        self.line9_3.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9_3.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line9_3.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9_3.setObjectName("line9_3")
        self.verticalLayout_4.addWidget(self.line9_3)
        self.gridLayout_3 = QtWidgets.QGridLayout()
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.groupBox = QtWidgets.QGroupBox(parent=VirusTotalDomainReportDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupBox.sizePolicy().hasHeightForWidth())
        self.groupBox.setSizePolicy(sizePolicy)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=self.groupBox)
        self.label.setText("BitDefender:")
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.bdLabel = QtWidgets.QLabel(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.bdLabel.sizePolicy().hasHeightForWidth())
        self.bdLabel.setSizePolicy(sizePolicy)
        self.bdLabel.setText("")
        self.bdLabel.setWordWrap(True)
        self.bdLabel.setObjectName("bdLabel")
        self.gridLayout.addWidget(self.bdLabel, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_2.setText("Sophos:")
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.soLabel = QtWidgets.QLabel(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.soLabel.sizePolicy().hasHeightForWidth())
        self.soLabel.setSizePolicy(sizePolicy)
        self.soLabel.setText("")
        self.soLabel.setWordWrap(True)
        self.soLabel.setObjectName("soLabel")
        self.gridLayout.addWidget(self.soLabel, 1, 1, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 2, 0, 1, 1)
        self.vvLabel = QtWidgets.QLabel(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.vvLabel.sizePolicy().hasHeightForWidth())
        self.vvLabel.setSizePolicy(sizePolicy)
        self.vvLabel.setText("")
        self.vvLabel.setWordWrap(True)
        self.vvLabel.setObjectName("vvLabel")
        self.gridLayout.addWidget(self.vvLabel, 2, 1, 1, 1)
        self.label_5 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 3, 0, 1, 1)
        self.amLabel = QtWidgets.QLabel(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.amLabel.sizePolicy().hasHeightForWidth())
        self.amLabel.setSizePolicy(sizePolicy)
        self.amLabel.setText("")
        self.amLabel.setWordWrap(True)
        self.amLabel.setObjectName("amLabel")
        self.gridLayout.addWidget(self.amLabel, 3, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_3.setText("Forcepoint ThreatSeeker:")
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 4, 0, 1, 1)
        self.ftsLabel = QtWidgets.QLabel(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ftsLabel.sizePolicy().hasHeightForWidth())
        self.ftsLabel.setSizePolicy(sizePolicy)
        self.ftsLabel.setText("")
        self.ftsLabel.setWordWrap(True)
        self.ftsLabel.setObjectName("ftsLabel")
        self.gridLayout.addWidget(self.ftsLabel, 4, 1, 1, 1)
        self.gridLayout_3.addWidget(self.groupBox, 0, 0, 2, 1)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=VirusTotalDomainReportDialog)
        self.groupBox_2.setMaximumSize(QtCore.QSize(300, 16777215))
        self.groupBox_2.setTitle("Webutation")
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label_6 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label_6.setObjectName("label_6")
        self.gridLayout_2.addWidget(self.label_6, 0, 0, 1, 1)
        self.webutationAdultLabel = QtWidgets.QLabel(parent=self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.webutationAdultLabel.sizePolicy().hasHeightForWidth())
        self.webutationAdultLabel.setSizePolicy(sizePolicy)
        self.webutationAdultLabel.setText("")
        self.webutationAdultLabel.setObjectName("webutationAdultLabel")
        self.gridLayout_2.addWidget(self.webutationAdultLabel, 0, 1, 1, 1)
        self.label_7 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label_7.setObjectName("label_7")
        self.gridLayout_2.addWidget(self.label_7, 1, 0, 1, 1)
        self.webutationSafetyLabel = QtWidgets.QLabel(parent=self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.webutationSafetyLabel.sizePolicy().hasHeightForWidth())
        self.webutationSafetyLabel.setSizePolicy(sizePolicy)
        self.webutationSafetyLabel.setText("")
        self.webutationSafetyLabel.setObjectName("webutationSafetyLabel")
        self.gridLayout_2.addWidget(self.webutationSafetyLabel, 1, 1, 1, 1)
        self.label_8 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label_8.setObjectName("label_8")
        self.gridLayout_2.addWidget(self.label_8, 2, 0, 1, 1)
        self.webutationVerdictLabel = QtWidgets.QLabel(parent=self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.webutationVerdictLabel.sizePolicy().hasHeightForWidth())
        self.webutationVerdictLabel.setSizePolicy(sizePolicy)
        self.webutationVerdictLabel.setText("")
        self.webutationVerdictLabel.setObjectName("webutationVerdictLabel")
        self.gridLayout_2.addWidget(self.webutationVerdictLabel, 2, 1, 1, 1)
        self.gridLayout_3.addWidget(self.groupBox_2, 0, 1, 1, 1)
        self.whoisButton = QtWidgets.QPushButton(parent=VirusTotalDomainReportDialog)
        self.whoisButton.setText("Whois")
        self.whoisButton.setObjectName("whoisButton")
        self.gridLayout_3.addWidget(self.whoisButton, 1, 1, 1, 1)
        self.verticalLayout_4.addLayout(self.gridLayout_3)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.resolutionsGroup = QtWidgets.QGroupBox(parent=VirusTotalDomainReportDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(4)
        sizePolicy.setHeightForWidth(self.resolutionsGroup.sizePolicy().hasHeightForWidth())
        self.resolutionsGroup.setSizePolicy(sizePolicy)
        self.resolutionsGroup.setObjectName("resolutionsGroup")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.resolutionsGroup)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.resolutionsList = QtWidgets.QTreeWidget(parent=self.resolutionsGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.resolutionsList.sizePolicy().hasHeightForWidth())
        self.resolutionsList.setSizePolicy(sizePolicy)
        self.resolutionsList.setAlternatingRowColors(True)
        self.resolutionsList.setRootIsDecorated(False)
        self.resolutionsList.setAllColumnsShowFocus(True)
        self.resolutionsList.setObjectName("resolutionsList")
        self.verticalLayout_2.addWidget(self.resolutionsList)
        self.horizontalLayout_2.addWidget(self.resolutionsGroup)
        self.subdomainsGroup = QtWidgets.QGroupBox(parent=VirusTotalDomainReportDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(4)
        sizePolicy.setHeightForWidth(self.subdomainsGroup.sizePolicy().hasHeightForWidth())
        self.subdomainsGroup.setSizePolicy(sizePolicy)
        self.subdomainsGroup.setObjectName("subdomainsGroup")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.subdomainsGroup)
        self.verticalLayout.setObjectName("verticalLayout")
        self.subdomainsList = QtWidgets.QListWidget(parent=self.subdomainsGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.subdomainsList.sizePolicy().hasHeightForWidth())
        self.subdomainsList.setSizePolicy(sizePolicy)
        self.subdomainsList.setAlternatingRowColors(True)
        self.subdomainsList.setObjectName("subdomainsList")
        self.verticalLayout.addWidget(self.subdomainsList)
        self.horizontalLayout_2.addWidget(self.subdomainsGroup)
        self.verticalLayout_4.addLayout(self.horizontalLayout_2)
        self.detectedUrlsGroup = QtWidgets.QGroupBox(parent=VirusTotalDomainReportDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(2)
        sizePolicy.setHeightForWidth(self.detectedUrlsGroup.sizePolicy().hasHeightForWidth())
        self.detectedUrlsGroup.setSizePolicy(sizePolicy)
        self.detectedUrlsGroup.setObjectName("detectedUrlsGroup")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.detectedUrlsGroup)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.urlsList = QtWidgets.QTreeWidget(parent=self.detectedUrlsGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.urlsList.sizePolicy().hasHeightForWidth())
        self.urlsList.setSizePolicy(sizePolicy)
        self.urlsList.setAlternatingRowColors(True)
        self.urlsList.setRootIsDecorated(False)
        self.urlsList.setAllColumnsShowFocus(True)
        self.urlsList.setObjectName("urlsList")
        self.verticalLayout_3.addWidget(self.urlsList)
        self.verticalLayout_4.addWidget(self.detectedUrlsGroup)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=VirusTotalDomainReportDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_4.addWidget(self.buttonBox)

        self.retranslateUi(VirusTotalDomainReportDialog)
        self.buttonBox.accepted.connect(VirusTotalDomainReportDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(VirusTotalDomainReportDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(VirusTotalDomainReportDialog)
        VirusTotalDomainReportDialog.setTabOrder(self.whoisButton, self.resolutionsList)
        VirusTotalDomainReportDialog.setTabOrder(self.resolutionsList, self.subdomainsList)
        VirusTotalDomainReportDialog.setTabOrder(self.subdomainsList, self.urlsList)

    def retranslateUi(self, VirusTotalDomainReportDialog):
        _translate = QtCore.QCoreApplication.translate
        VirusTotalDomainReportDialog.setWindowTitle(_translate("VirusTotalDomainReportDialog", "Domain Report"))
        self.groupBox.setTitle(_translate("VirusTotalDomainReportDialog", "Categorizations"))
        self.label_4.setText(_translate("VirusTotalDomainReportDialog", "Valkyrie Verdict:"))
        self.label_5.setText(_translate("VirusTotalDomainReportDialog", "alphaMountain:"))
        self.label_6.setText(_translate("VirusTotalDomainReportDialog", "Adult Content:"))
        self.label_7.setText(_translate("VirusTotalDomainReportDialog", "Safety Score:"))
        self.label_8.setText(_translate("VirusTotalDomainReportDialog", "Verdict:"))
        self.resolutionsGroup.setTitle(_translate("VirusTotalDomainReportDialog", "Resolutions"))
        self.resolutionsList.setSortingEnabled(True)
        self.resolutionsList.headerItem().setText(0, _translate("VirusTotalDomainReportDialog", "IP-Address"))
        self.resolutionsList.headerItem().setText(1, _translate("VirusTotalDomainReportDialog", "Resolved Date"))
        self.subdomainsGroup.setTitle(_translate("VirusTotalDomainReportDialog", "Subdomains"))
        self.subdomainsList.setSortingEnabled(True)
        self.detectedUrlsGroup.setTitle(_translate("VirusTotalDomainReportDialog", "Detected URLs"))
        self.urlsList.setSortingEnabled(True)
        self.urlsList.headerItem().setText(0, _translate("VirusTotalDomainReportDialog", "URL"))
        self.urlsList.headerItem().setText(1, _translate("VirusTotalDomainReportDialog", "Scan Result"))
        self.urlsList.headerItem().setText(2, _translate("VirusTotalDomainReportDialog", "Scan Date"))
